Bug 117492 - sql/oracle-se/upgrade/5.2.1-6.0.0/auto-upgrade.sql uncomplete for publish_to_fs_files
sql/oracle-se/upgrade/5.2.1-6.0.0/auto-upgrade.sql uncomplete for publish_to_...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
6.0
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2004-03-04 11:57 EST by durnez
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description durnez 2004-03-04 11:57:42 EST
Description of problem:

publish_to_fs_files is not altered completely : 
item_type column can be null 
and com.ad.cms.publishToFile.PublishToFile does not accept that in
method :
File getFile() {
DestinationStub dest = PublishToFile.getDestination(getItemType());
File f = new File(dest.getFile(),[...]

extra queries should be added to 
sql/oracle-se/upgrade/5.2.1-6.0.0/auto-upgrade.sql :

update publish_to_fs_files set item_type=(select object_type from
acs_objects where object_id=draft_id);
alter table publish_to_fs_files modify (item_type not null);
Comment 1 Jon Orris 2006-09-05 13:24:31 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.